#!/bin/bash
#PBS -l nodes=1:ppn=16
#PBS -q dieguez
cd $PBS_O_WORKDIR

cat $PBS_NODEFILE | sort | uniq > mpi.hosts

NCORES=`cat $PBS_NODEFILE | egrep -v '^#'\|'^$' | wc -l | awk '{print $1}'`
NODE_LIST=`cat $PBS_NODEFILE `

date
echo $NODE_LIST
echo ' '

export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/export/apps/opt/intelclusterstudio/mkl/lib/intel64

module load vasp/vasp.5.4.1

# This was required by VASP at some point:
export I_MPI_COMPATIBILITY=4

#-------------------------------------------------------------------------------

EXE=/scratch200/kruchinin/vasp/source/vasp.5.4.1_CINEB_April19/bin/vasp_std

		mkdir "input"
		cp POTCAR ./input/POTCAR
		cp INCAR ./input/INCAR
		cp KPOINTS ./input/KPOINTS
		mpirun -np $NCORES ${EXE} > vasp.out